// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue'
import App from './App'
import router from './router'
import demoui from './packages/index.js'
import $ from 'jquery'
import "../src/assets/iconfont/iconfont.css"
Vue.use(demoui)
Vue.config.productionTip = false
import YDUI from 'vue-ydui'; /* 相当于import YDUI from 'vue-ydui/ydui.rem.js' */
import 'vue-ydui/dist/ydui.rem.css';
/* 使用px：import 'vue-ydui/dist/ydui.px.css'; */
Vue.use(YDUI);
import {
  post,
  get,
  patch,
  put
} from './http'
import * as custom from "./common/filters"
Object.keys(custom).forEach(key => {
  Vue.filter(key, custom[key])
})

Vue.prototype.$post = post;
Vue.prototype.$get = get;
Vue.prototype.$patch = patch;
Vue.prototype.$put = put;





new Vue({
  el: '#app',
  router,
  components: {
    App
  },
  template: '<App/>'
})
