import KvFooter from "./footers/index"
import KvSwiper from "./swipers/index"
import KvRollnotice from "./rollnotice/index"
import KvFunlist from "./funlist/index"
import KvFunlists from "./funlists/index"
import KvUserlist from "./userlist/index"
import KvThreelist from "./threelist/index"
import KvCelllist from "./celllist/index"
import KvUserinfo from "./userinfo/index"
import KvBusinesslist from "./businesslist/index"
import KvTab from "./tab/index"
import KvSearch from "./search/index"
import KvFeedback from "./feedback/index"
import KvFeedbacklist from "./feedbacklist/index"
import KvInvoice from "./invoice/index"
import KvOverage from "./overage/index"
import KvCollection from "./collection/index"
import KvPassword from "./password/index"
import KvChangeph from "./changephone/index"
import KvNews from "./news/index"
import KvLogin from "./login/index"
import KvRegister from "./register/index"
import KvPaymentdetail from "./paymentdetail/index"
const components = [
  KvFooter, KvSwiper, KvRollnotice, KvFunlist, KvFunlists, KvUserlist, KvThreelist, KvCelllist, KvUserinfo, KvBusinesslist, KvTab, KvSearch, KvFeedback, KvFeedbacklist, KvInvoice, KvOverage, KvCollection, KvPassword,KvChangeph,KvNews,KvLogin,KvRegister,KvPaymentdetail
]
const install = function (Vue) {
  if (install.installed) return
  components.forEach(component => {
    Vue.component(component.name, component)
  });
}
if (typeof window !== "undefind" && window.Vue) {
  install(window.Vue)
}
export default {
  install,
  KvFooter,
  KvSwiper,
  KvRollnotice,
  KvFunlist,
  KvFunlists,
  KvUserlist,
  KvThreelist,
  KvCelllist,
  KvUserinfo,
  KvBusinesslist,
  KvTab,
  KvSearch,
  KvFeedback,
  KvFeedbacklist,
  KvInvoice,
  KvOverage,
  KvCollection,
  KvPassword,KvChangeph,KvNews,KvLogin,KvRegister,KvPaymentdetail
}
